package com.ruoyi.ibs.grid.domain.entity;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * 网格汇总统计_公司(GridCmpmCountGongsi965)实体类
 *
 * @author makejava
 * @since 2025-03-21 10:00:48
 */
@Data
public class GridCmpmCountGongsi implements Serializable {
    private static final long serialVersionUID = 234090190612856853L;
    /**
     * 统计日期
     */
    @Excel(name = "统计日期")
    private String dt;
    /**
     * 一级网格名称
     */
    @Excel(name = "一级网格名称")
    private String gridName;
    /**
     * 二级网格名称
     */
    @Excel(name = "二级网格名称")
    private String gridName2;
    /**
     * 县/区
     */
    @Excel(name = "县/区")
    private String county;
    /**
     * 镇/街道
     */
    @Excel(name = "镇/街道")
    private String town;
    /**
     * 村/社区
     */
    @Excel(name = "村/社区")
    private String village;
    /**
     * 归属支行
     */
    @Excel(name = "归属支行机构号")
    private String deptId;

    @Excel(name = "归属支行名称")
    private String deptName;
    /**
     * 归属网点
     */
    @Excel(name = "归属网点机构号")
    private String outletsId;

    @Excel(name = "归属网点名称")
    private String outletsName;
    /**
     * 归属客户经理
     */
    @Excel(name = "归属客户经理")
    private String userName;
    /**
     * 入格客户数
     */
    @Excel(name = "入格客户数")
    private Integer custNum;

    /** 近365天已走访人数 */
    @Excel(name = "近365天已走访人数")
    private String zf365cnt;

    /** 近180天已走访人数 */
    @Excel(name = "近180天已走访人数")
    private String zf180cnt;

    /** 近90天已走访人数 */
    @Excel(name = "近90天已走访人数")
    private String zf90cnt;

    /** 近30天已走访人数 */
    @Excel(name = "近30天已走访人数")
    private String zf30cnt;

    /** 近365天走访率 */
    @Excel(name = "近365天走访率")
    private String zf365rt;

    /** 近180天走访率 */
    @Excel(name = "近180天走访率")
    private String zf180rt;

    /** 近90天走访率 */
    @Excel(name = "近90天走访率")
    private String zf90rt;

    /** 近30天走访率 */
    @Excel(name = "近30天走访率")
    private String zf30rt;


    /**
     * 活期存款余额
     */
    @Excel(name = "活期存款余额（元）")
    private String hqCurBalance;
    /**
     * 保证金存款余额
     */
    @Excel(name = "保证金存款余额（元）")
    private String bzCurBalance;
    /**
     * 贷款余额
     */
    @Excel(name = "贷款余额（元）")
    private String loanBalanceCny;
    /**
     * 贴现余额
     */
    @Excel(name = "贴现余额（元）")
    private String financeProd711Balance;
    /**
     * 承兑汇票余额
     */
    @Excel(name = "承兑汇票余额（元）")
    private String financeProd716Balance;
    /**
     * 贷款年日均
     */
    @Excel(name = "贷款年日均（元）")
    private String loanYearDailyaverage;
    /**
     * 普惠签约率
     */
    @Excel(name = "合同签约率（%）")
    private String htqyRat;
//    @Excel(name = "普惠签约率（%）")
//    private String phRat;
    /**
     * 签发承兑汇票率
     */
    @Excel(name = "签发承兑汇票率（%）")
    private String qfcdRat;
    /**
     * 贴现业务率
     */
    @Excel(name = "贴现业务率（%）")
    private String txRat;
    /**
     * 保函业务率
     */
    @Excel(name = "保函业务率（%）")
    private String bhRat;
    /**
     * 有效代发工资率
     */
    @Excel(name = "有效代发工资率（%）")
    private String yxdfgzRat;
    /**
     * 代扣电费率
     */
    @Excel(name = "代扣电费率（%）")
    private String dkdfRat;
    /**
     * 代扣水费率
     */
    @Excel(name = "代扣水费率（%）")
    private String dksfRat;
    /**
     * 代扣税费率
     */
    @Excel(name = "代扣税费率（%）")
    private String dkshfRat;
    /**
     * 票据宝签约率
     */
    @Excel(name = "票据宝签约率（%）")
    private String pjbRat;
    /**
     * 财资宝签约率
     */
    @Excel(name = "财资宝签约率（%）")
    private String czbRat;
    /**
     * 收付宝签约率
     */
    @Excel(name = "收付宝签约率（%）")
    private String sfbRat;
    /**
     * 贸融宝签约率
     */
    @Excel(name = "贸融宝签约率（%）")
    private String mrbRat;
    /**
     * 数字生态产品签约率
     */
    @Excel(name = "数字生态产品签约率（%）")
    private String szstRat;
    /**
     * 开户率
     */
    @Excel(name = "开户率（%）")
    private String khRat;
    /**
     * 国际结算业务率
     */
    @Excel(name = "国际结算业务率（%）")
    private String gjjsywRat;
    /**
     * 远期结算汇业务率
     */
    @Excel(name = "远期结算汇业务率（%）")
    private String yqjshRat;
    /**
     * 普惠签约数
     */

    @Excel(name = "合同签约数")
    private String htqyNum;
//    @Excel(name = "普惠签约数")
//    private Integer phNum;
    /**
     * 签发承兑汇票数
     */
    @Excel(name = "签发承兑汇票数")
    private Integer qfcdNum;
    /**
     * 贴现业务数
     */
    @Excel(name = "贴现业务数")
    private Integer txNum;
    /**
     * 保函业务数
     */
    @Excel(name = "保函业务数")
    private Integer bhNum;
    /**
     * 有效代发工资数
     */
    @Excel(name = "有效代发工资数")
    private Integer yxdfgzNum;
    /**
     * 代扣电费数
     */
    @Excel(name = "代扣电费数")
    private Integer dkdfNum;
    /**
     * 代扣水费数
     */
    @Excel(name = "代扣水费数")
    private Integer dksfNum;
    /**
     * 代扣税费数
     */
    @Excel(name = "代扣税费数")
    private Integer dkshfNum;
    /**
     * 票据宝签约数
     */
    @Excel(name = "票据宝签约数")
    private Integer pjbNum;
    /**
     * 财资宝签约数
     */
    @Excel(name = "财资宝签约数")
    private Integer czbNum;
    /**
     * 收付宝签约数
     */
    @Excel(name = "收付宝签约数")
    private Integer sfbNum;
    /**
     * 贸融宝签约数
     */
    @Excel(name = "贸融宝签约数")
    private Integer mrbNum;
    /**
     * 数字生态产品签约数
     */
    @Excel(name = "数字生态产品签约数")
    private Integer szstNum;
    /**
     * 开户数
     */
    @Excel(name = "开户数")
    private Integer khNum;
    /**
     * 国际结算业务数
     */
    @Excel(name = "国际结算业务数")
    private Integer gjjsywNum;
    /**
     * 远期结算汇业务数
     */
    @Excel(name = "远期结算汇业务数")
    private Integer yqjshNum;
    /**
     * 归属行政区划编码
     */
    private String regionCode;
    /**
     * 部室归属 0零售 1公司 2运管
     */

    private String opsDept;

    /**
     * 月均代发工资笔数
     */
    @Excel(name = "月均代发工资笔数")
    private String ustrCountPerM;
    /**
     * 月均代发工资金额(元)
     */
    @Excel(name = "月均代发工资金额(元)")
    private String ustrBalM;


    public String getHtqyRat() {
        return htqyRat;
    }

    public void setHtqyRat(String htqyRat) {
        this.htqyRat = htqyRat;
    }

    public String getHtqyNum() {
        return htqyNum;
    }

    public void setHtqyNum(String htqyNum) {
        this.htqyNum = htqyNum;
    }

    public void setUstrCountPerM(String ustrCountPerM) {
        this.ustrCountPerM = ustrCountPerM;
    }

    public String getUstrBalM() {
        return ustrBalM;
    }

    public void setUstrBalM(String ustrBalM) {
        this.ustrBalM = ustrBalM;
    }

    public String getDt() {
        return dt;
    }

    public void setDt(String dt) {
        this.dt = dt;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getGridName2() {
        return gridName2;
    }

    public void setGridName2(String gridName2) {
        this.gridName2 = gridName2;
    }

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getOutletsId() {
        return outletsId;
    }

    public void setOutletsId(String outletsId) {
        this.outletsId = outletsId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getCustNum() {
        return custNum;
    }

    public void setCustNum(Integer custNum) {
        this.custNum = custNum;
    }

    public String getHqCurBalance() {
        return hqCurBalance;
    }

    public void setHqCurBalance(String hqCurBalance) {
        this.hqCurBalance = hqCurBalance;
    }

    public String getBzCurBalance() {
        return bzCurBalance;
    }

    public void setBzCurBalance(String bzCurBalance) {
        this.bzCurBalance = bzCurBalance;
    }

    public String getLoanBalanceCny() {
        return loanBalanceCny;
    }

    public void setLoanBalanceCny(String loanBalanceCny) {
        this.loanBalanceCny = loanBalanceCny;
    }

    public String getFinanceProd711Balance() {
        return financeProd711Balance;
    }

    public void setFinanceProd711Balance(String financeProd711Balance) {
        this.financeProd711Balance = financeProd711Balance;
    }

    public String getFinanceProd716Balance() {
        return financeProd716Balance;
    }

    public void setFinanceProd716Balance(String financeProd716Balance) {
        this.financeProd716Balance = financeProd716Balance;
    }

    public String getLoanYearDailyaverage() {
        return loanYearDailyaverage;
    }

    public void setLoanYearDailyaverage(String loanYearDailyaverage) {
        this.loanYearDailyaverage = loanYearDailyaverage;
    }

//    public String getPhRat() {
//        return phRat;
//    }
//
//    public void setPhRat(String phRat) {
//        this.phRat = phRat;
//    }

    public String getQfcdRat() {
        return qfcdRat;
    }

    public void setQfcdRat(String qfcdRat) {
        this.qfcdRat = qfcdRat;
    }

    public String getTxRat() {
        return txRat;
    }

    public void setTxRat(String txRat) {
        this.txRat = txRat;
    }

    public String getBhRat() {
        return bhRat;
    }

    public void setBhRat(String bhRat) {
        this.bhRat = bhRat;
    }

    public String getYxdfgzRat() {
        return yxdfgzRat;
    }

    public void setYxdfgzRat(String yxdfgzRat) {
        this.yxdfgzRat = yxdfgzRat;
    }

    public String getDkdfRat() {
        return dkdfRat;
    }

    public void setDkdfRat(String dkdfRat) {
        this.dkdfRat = dkdfRat;
    }

    public String getDksfRat() {
        return dksfRat;
    }

    public void setDksfRat(String dksfRat) {
        this.dksfRat = dksfRat;
    }

    public String getDkshfRat() {
        return dkshfRat;
    }

    public void setDkshfRat(String dkshfRat) {
        this.dkshfRat = dkshfRat;
    }

    public String getPjbRat() {
        return pjbRat;
    }

    public void setPjbRat(String pjbRat) {
        this.pjbRat = pjbRat;
    }

    public String getCzbRat() {
        return czbRat;
    }

    public void setCzbRat(String czbRat) {
        this.czbRat = czbRat;
    }

    public String getSfbRat() {
        return sfbRat;
    }

    public void setSfbRat(String sfbRat) {
        this.sfbRat = sfbRat;
    }

    public String getMrbRat() {
        return mrbRat;
    }

    public void setMrbRat(String mrbRat) {
        this.mrbRat = mrbRat;
    }

    public String getSzstRat() {
        return szstRat;
    }

    public void setSzstRat(String szstRat) {
        this.szstRat = szstRat;
    }

    public String getKhRat() {
        return khRat;
    }

    public void setKhRat(String khRat) {
        this.khRat = khRat;
    }

    public String getGjjsywRat() {
        return gjjsywRat;
    }

    public void setGjjsywRat(String gjjsywRat) {
        this.gjjsywRat = gjjsywRat;
    }

    public String getYqjshRat() {
        return yqjshRat;
    }

    public void setYqjshRat(String yqjshRat) {
        this.yqjshRat = yqjshRat;
    }

//    public Integer getPhNum() {
//        return phNum;
//    }
//
//    public void setPhNum(Integer phNum) {
//        this.phNum = phNum;
//    }

    public Integer getQfcdNum() {
        return qfcdNum;
    }

    public void setQfcdNum(Integer qfcdNum) {
        this.qfcdNum = qfcdNum;
    }

    public Integer getTxNum() {
        return txNum;
    }

    public void setTxNum(Integer txNum) {
        this.txNum = txNum;
    }

    public Integer getBhNum() {
        return bhNum;
    }

    public void setBhNum(Integer bhNum) {
        this.bhNum = bhNum;
    }

    public Integer getYxdfgzNum() {
        return yxdfgzNum;
    }

    public void setYxdfgzNum(Integer yxdfgzNum) {
        this.yxdfgzNum = yxdfgzNum;
    }

    public Integer getDkdfNum() {
        return dkdfNum;
    }

    public void setDkdfNum(Integer dkdfNum) {
        this.dkdfNum = dkdfNum;
    }

    public Integer getDksfNum() {
        return dksfNum;
    }

    public void setDksfNum(Integer dksfNum) {
        this.dksfNum = dksfNum;
    }

    public Integer getDkshfNum() {
        return dkshfNum;
    }

    public void setDkshfNum(Integer dkshfNum) {
        this.dkshfNum = dkshfNum;
    }

    public Integer getPjbNum() {
        return pjbNum;
    }

    public void setPjbNum(Integer pjbNum) {
        this.pjbNum = pjbNum;
    }

    public Integer getCzbNum() {
        return czbNum;
    }

    public void setCzbNum(Integer czbNum) {
        this.czbNum = czbNum;
    }

    public Integer getSfbNum() {
        return sfbNum;
    }

    public void setSfbNum(Integer sfbNum) {
        this.sfbNum = sfbNum;
    }

    public Integer getMrbNum() {
        return mrbNum;
    }

    public void setMrbNum(Integer mrbNum) {
        this.mrbNum = mrbNum;
    }

    public Integer getSzstNum() {
        return szstNum;
    }

    public void setSzstNum(Integer szstNum) {
        this.szstNum = szstNum;
    }

    public Integer getKhNum() {
        return khNum;
    }

    public void setKhNum(Integer khNum) {
        this.khNum = khNum;
    }

    public Integer getGjjsywNum() {
        return gjjsywNum;
    }

    public void setGjjsywNum(Integer gjjsywNum) {
        this.gjjsywNum = gjjsywNum;
    }

    public Integer getYqjshNum() {
        return yqjshNum;
    }

    public void setYqjshNum(Integer yqjshNum) {
        this.yqjshNum = yqjshNum;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getOpsDept() {
        return opsDept;
    }

    public void setOpsDept(String opsDept) {
        this.opsDept = opsDept;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getVillage() {
        return village;
    }

    public void setVillage(String village) {
        this.village = village;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getOutletsName() {
        return outletsName;
    }

    public void setOutletsName(String outletsName) {
        this.outletsName = outletsName;
    }

    public String getUstrCountPerM() {
        return ustrCountPerM;
    }

    public String getZf365cnt() {
        return zf365cnt;
    }

    public void setZf365cnt(String zf365cnt) {
        this.zf365cnt = zf365cnt;
    }

    public String getZf180cnt() {
        return zf180cnt;
    }

    public void setZf180cnt(String zf180cnt) {
        this.zf180cnt = zf180cnt;
    }

    public String getZf90cnt() {
        return zf90cnt;
    }

    public void setZf90cnt(String zf90cnt) {
        this.zf90cnt = zf90cnt;
    }

    public String getZf30cnt() {
        return zf30cnt;
    }

    public void setZf30cnt(String zf30cnt) {
        this.zf30cnt = zf30cnt;
    }

    public String getZf365rt() {
        return zf365rt;
    }

    public void setZf365rt(String zf365rt) {
        this.zf365rt = zf365rt;
    }

    public String getZf180rt() {
        return zf180rt;
    }

    public void setZf180rt(String zf180rt) {
        this.zf180rt = zf180rt;
    }

    public String getZf90rt() {
        return zf90rt;
    }

    public void setZf90rt(String zf90rt) {
        this.zf90rt = zf90rt;
    }

    public String getZf30rt() {
        return zf30rt;
    }

    public void setZf30rt(String zf30rt) {
        this.zf30rt = zf30rt;
    }
}

